@echo off
if not exist \query.com goto errorexit
:toploop
cls
echo 
echo  ͻ
echo                                                    
echo    Intel Corp.                                     
echo    README utility for EtherExpress 32(tm) Adapter  
echo                                                    
echo  ͼ
echo 
echo   1 - Novell README files
echo   2 - LANMAN README files
echo 
echo   A - EtherExpress 32 Errata
echo 
echo   E - Exit README utility
echo 
query /b /q:  Press the number or letter for the README file you are interested in.
if errorlevel 15 goto toploop
if errorlevel 14 goto end
if errorlevel 11 goto toploop
if errorlevel 10 goto errata
if errorlevel 3 goto toploop
if errorlevel 2 goto lanmanloop
if errorlevel 1 goto novellloop
if errorlevel 0 goto toploop


:lanmanloop
cls
echo 
echo  ͻ
echo                                                    
echo    Intel Corp.                                     
echo    EtherExpress 32(tm) LANMAN README files         
echo                                                    
echo  ͼ
echo 
echo   1 - LANMAN NDIS for DOS workstations
echo   2 - LANMAN NDIS for OS/2 servers and workstations
echo 
echo   E - Exit to main README utility menu
echo 
query /q:  Press the number for the README you wish to view, or E to exit.
if errorlevel = 15 goto lanmanloop
if errorlevel = 14 goto toploop
if errorlevel = 3 goto lanmanloop
if errorlevel = 2 goto ndisos2
if errorlevel = 1 goto ndisdos
if errorlevel = 0 goto lanmanloop

:novellloop
cls
echo 
echo  ͻ
echo                                                    
echo    Intel Corp.                                     
echo    EtherExpress 32(tm) NOVELL README files         
echo                                                    
echo  ͼ
echo 
echo   1 - Netware 3.1x servers
echo   2 - Netware 2.2 servers
echo   3 - ODI for DOS & OS/2 workstations
echo 
echo   E - Exit to main README utility menu
echo 
query /q:  Press the number for the README you wish to view, or E to exit.
if errorlevel = 15 goto novellloop
if errorlevel = 14 goto toploop
if errorlevel = 4 goto novellloop
if errorlevel = 3 goto novodi
if errorlevel = 2 goto nov2
if errorlevel = 1 goto nov3
if errorlevel = 0 goto novellloop


:ndisos2
echo   Reading LANMAN server README - please wait.
show \mslanman.os2\readme
goto lanmanloop

:ndisdos
echo   Reading LANMAN workstation README - please wait.
show \mslanman.dos\readme
goto lanmanloop

:nov3
echo   Reading Novell 3.1x server README - please wait.
show \netware.3\readme
goto novellloop

:nov2
echo   Reading Novell 2.x server README - please wait.
show \netware.2\readme
goto novellloop

:novodi
echo   Reading Novell ODI workstation README - please wait.
show \netware.odi\readme
goto novellloop

:errata
echo   Reading EtherExpress errata - please wait.
show errata
goto toploop

:errorexit
echo 
echo You must run the README utility from the EtherExpress diskette
echo with your floppy drive set as the DOS default drive.
echo 
echo Switch to the floppy drive with the EtherExpress diskette in it,
echo usually either A: or B:, and type README.
echo 
echo The README utility will not run correctly if a drive other than
echo the floppy containing the EtherExpress diskette is the DOS default
echo drive.
echo 

:end
echo 
echo 



